Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.aspectwerkz.reflect.impl.asm
Class AsmFieldInfo

    java.lang.Object
      org.codehaus.aspectwerkz.reflect.impl.asm.AsmMemberInfo
          org.codehaus.aspectwerkz.reflect.impl.asm.AsmFieldInfo

All Implemented Interfaces:
  FieldInfo, MemberInfo, ReflectionInfo

    public class AsmFieldInfo

extends AsmMemberInfo
implements FieldInfo

ASM implementation of the FieldInfo interface.

Author:
  Jonas Bonr

Field Summary

Fields inherited from class org.codehaus.aspectwerkz.reflect.impl.asm.AsmMemberInfo
`m_annotations, m_classInfoRepository, m_declaringType, m_declaringTypeName, m_loaderRef, m_member`

Method Summary
`boolean` | `equals(Object o)`
`List` | `getAnnotations()` Returns the annotations.
`static FieldInfo` | `getFieldInfo(String fieldName, String fieldDesc, byte[] bytecode, ClassLoader loader)` Returns the field info for the field specified.
`String` | `getSignature()` Returns the signature for the element.
`ClassInfo` | `getType()` Returns the type.
`int` | `hashCode()`
`String` | `toString()`

Methods inherited from class org.codehaus.aspectwerkz.reflect.impl.asm.AsmMemberInfo
`getDeclaringType, getModifiers, getName`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.codehaus.aspectwerkz.reflect.MemberInfo
`getDeclaringType`

Methods inherited from interface org.codehaus.aspectwerkz.reflect.ReflectionInfo
`getModifiers, getName`

Method Detail

### getFieldInfo

    public static FieldInfo getFieldInfo(String fieldName,
                                         String fieldDesc,
                                         byte[] bytecode,
                                         ClassLoader loader)

  Returns the field info for the field specified.

  Parameters:
    `fieldName` -
    `fieldDesc` -
    `bytecode` -
    `loader` -
  Returns:
    the field info

### getSignature

    public String getSignature()

  Returns the signature for the element.

  Specified by:
    `getSignature` in interface `ReflectionInfo`
  Returns:
    the signature for the element

### getType

    public ClassInfo getType()

  Returns the type.

  Specified by:
    `getType` in interface `FieldInfo`
  Returns:
    the type

### getAnnotations

    public List getAnnotations()

  Returns the annotations.

  Specified by:
    `getAnnotations` in interface `ReflectionInfo`
  Returns:
    the annotations

### equals

    public boolean equals(Object o)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2005 Jonas Bonér, Alexandre Vasseur. All Rights Reserved.